LSSL/Libssl installiert-trotzdem läuft die Installation von KPhone nicht

Dieses Thema im Forum "Anwendungen" wurde erstellt von pinguin1987, 21.12.2006.

  1. #1 pinguin1987, 21.12.2006
    pinguin1987

    pinguin1987 Mitglied

    Dabei seit:
    06.08.2006
    Beiträge:
    49
    Zustimmungen:
    0
    Liebe Linux-Freunde!

    Nachdem wir nun auch (endlich) DSL und zusätzlich die Möglichkeit Voice OverIP haben, würde ich das natürlich gerne probieren und will KPhone installieren. KPhone (die neuste Version) will die LibSSL. Gut-downgeloadet, installiert-trotzdem läufts nicht. Hier mal die Installationsroutine vom Shell

    loading cache ./config.cache
    checking for gcc... gcc
    checking whether the C compiler (gcc ) works... yes
    checking whether the C compiler (gcc ) is a cross-compiler... no
    checking whether we are using GNU C... yes
    checking whether gcc accepts -g... yes
    checking how to run the C preprocessor... gcc -E
    checking for c++... c++
    checking whether the C++ compiler (c++ ) works... yes
    checking whether the C++ compiler (c++ ) is a cross-compiler... no
    checking whether we are using GNU C++... yes
    checking whether c++ accepts -g... yes
    checking how to run the C++ preprocessor... c++ -E
    checking whether gcc needs -traditional... no
    checking for moc... /usr/lib/qt3/bin/moc
    checking for uic... /usr/lib/qt3/bin/uic
    checking location of Qt header files... /usr/lib/qt3/include
    checking location of Qt library... /usr/lib/qt3/lib
    checking if Qt is multi-threaded... yes
    checking whether to enable thread... yes
    checking whether to enable srtp... no
    checking for main in -lX11... yes
    checking for main in -lXext... yes
    checking for main in -lXt... yes
    checking for main in -lICE... yes
    checking for main in -lSM... yes
    checking for main in -lpng... yes
    checking for main in -lssl... no
    configure: error: libssl not found

    Was soll ich nur tun? :hilfe2:

    Danke für eure Antworten im Voraus und schon jetzt mal ein Frohes Fest!

    Christian aka Pinguin1987
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. theton

    theton Bitmuncher

    Dabei seit:
    27.05.2004
    Beiträge:
    4.820
    Zustimmungen:
    0
    Ort:
    Berlin, Germany
    Hast du auch die dev-Pakete zur libssl installiert?
     
  4. #3 pinguin1987, 21.12.2006
    pinguin1987

    pinguin1987 Mitglied

    Dabei seit:
    06.08.2006
    Beiträge:
    49
    Zustimmungen:
    0
    Noch nicht-ich suche heute abend (ich muss gleich weg) weiter.
    Oder hast du vielleicht nen Tip wo ich das finde? (Bei Packmann usw. geschaut)

    Ich berichte dann, obs damit gefunzt hat. Bis hierher danke!
     
  5. theton

    theton Bitmuncher

    Dabei seit:
    27.05.2004
    Beiträge:
    4.820
    Zustimmungen:
    0
    Ort:
    Berlin, Germany
    Welche Distro nutzt du denn überhaupt? Im Normalfall kann man die über den Paketmanager installieren.
     
  6. #5 pinguin1987, 21.12.2006
    Zuletzt bearbeitet: 22.12.2006
    pinguin1987

    pinguin1987 Mitglied

    Dabei seit:
    06.08.2006
    Beiträge:
    49
    Zustimmungen:
    0
    Hallo!

    Über den Paketmanager gings dann (also er hat die Routine durchlaufen), aber es ist da ein neues Problem aufgetaucht:

    Der Shell zeigt nach ./make install dieses an:

    c++ -I/usr/lib/qt3/include -Wall -O3 -I. -I../gsm -I../ilbc -I../dissipate2 -DHAVE_CONFIG_H -DSHARE_DIR=\"/usr/local/share/apps/kphone\" -DPO_DIR=\"/usr/local/share/kphone/translations//\" -c -o main.o main.cpp
    /usr/lib/qt3/include/qxml.h:224: warning: ‘class QXmlReader’ has virtual functions but non-virtual destructor
    /usr/lib/qt3/include/qxml.h:407: warning: ‘class QXmlContentHandler’ has virtual functions but non-virtual destructor
    /usr/lib/qt3/include/qxml.h:424: warning: ‘class QXmlErrorHandler’ has virtual functions but non-virtual destructor
    /usr/lib/qt3/include/qxml.h:433: warning: ‘class QXmlDTDHandler’ has virtual functions but non-virtual destructor
    /usr/lib/qt3/include/qxml.h:441: warning: ‘class QXmlEntityResolver’ has virtual functions but non-virtual destructor
    /usr/lib/qt3/include/qxml.h:448: warning: ‘class QXmlLexicalHandler’ has virtual functions but non-virtual destructor
    /usr/lib/qt3/include/qxml.h:461: warning: ‘class QXmlDeclHandler’ has virtual functions but non-virtual destructor
    kcallwidget.h:70: error: extra qualification ‘KCallWidget::’ on member ‘setDTMFSender’
    kphoneview.h:57: error: extra qualification ‘KPhoneView::’ on member ‘DoCall’
    make: *** [main.o] Fehler 1

    Was soll das?

    Sorry-meine Disbro ist SUSE 10.1
     
  7. #6 pinguin1987, 26.12.2006
    pinguin1987

    pinguin1987 Mitglied

    Dabei seit:
    06.08.2006
    Beiträge:
    49
    Zustimmungen:
    0
    hat sich erledigt...

    Hallo! Nachdem anscheinend niemand Auskunft über mein Installationsproblem mit KPhone geben konnte habe ich mich nach einer Alternative umgesehen und gefunden:

    XLite von CounterPath (www.xten.com) Läuft super-keine Schwierigkeiten alles super!

    Ich danke allen für eure Hilfe, wünsche frohe (Rest-)Weihnachten und ein gutes neues Jahr!

    Der zufriedene

    pinguin1987
     
  8. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
Thema:

LSSL/Libssl installiert-trotzdem läuft die Installation von KPhone nicht